Package org.eclipse.birt.report.model.api.filterExtension

# Class OdaFilterExprHelper

java.lang.Object
org.eclipse.birt.report.model.api.filterExtension.OdaFilterExprHelper

public class OdaFilterExprHelper extends Object
OdaFilterExprHelper

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static List<IFilterExprDefinition>`
`birtFilterExprDefList`
The list contains the BIRT predefined filter definitions.
`static Set<String>`
`birtPredefinedFilterConstants`
BIRT predefined filter expression id.
`static int`
`DYNAMIC_FILTER`
The constant for dynamic filter type
`static int`
`STATIC_FILTER`
The constant for static filter type

## Constructor Summary

Constructors
Constructor
Description
`OdaFilterExprHelper()`

## Method Summary

Modifier and Type
Method
Description
`static IFilterExprDefinition`
`getFilterExpressionDefn(String birtFilterExprId, String datasetExtId, String datasourceExtId)`
Return the IFilterExprDefinition instance based on the passed in BIRT predefined Filter expression name.
`static List<IFilterExprDefinition>`
`getMappedFilterExprDefinitions(String dataSetExtId, String dataSourceExtId, int filterType)`
Returns the list of IFilterExprDefinition.
`static boolean`
`supportOdaExtensionFilters()`
Indicates if support the ODA extension filter expressions.
`static boolean`
`supportODAFilterPushDown(String dataSourceExtId, String dataSetExtId)`
Indicates if the given data source and data set support the ODA extension Filters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STATIC_FILTER

public static int STATIC_FILTER
The constant for static filter type

### DYNAMIC_FILTER

public static int DYNAMIC_FILTER
The constant for dynamic filter type

### birtPredefinedFilterConstants

public static Set<String> birtPredefinedFilterConstants
BIRT predefined filter expression id.

### birtFilterExprDefList

protected static List<IFilterExprDefinition> birtFilterExprDefList
The list contains the BIRT predefined filter definitions.

## Constructor Details

### OdaFilterExprHelper

public OdaFilterExprHelper()

## Method Details

### getMappedFilterExprDefinitions

public static List<IFilterExprDefinition> getMappedFilterExprDefinitions(String dataSetExtId, String dataSourceExtId, int filterType)
Returns the list of IFilterExprDefinition. The list contains both of ODA extension provider registered filter definitions, and BIRT predefined filter definitions. If under OS BIRT, the list will only contain the IFilterExprDefinition instance which represent the BIRT predefined ones.

Parameters:
  `filterType` - the filter type
  `odaDatasetExtensionId` - oda datasource extension id.
  `odaDataSourceExtensionId` - oda dataset extension id.
Returns:
  List of IFilterExprDefinition instance.

### getFilterExpressionDefn

public static IFilterExprDefinition getFilterExpressionDefn(String birtFilterExprId, String datasetExtId, String datasourceExtId)
Return the IFilterExprDefinition instance based on the passed in BIRT predefined Filter expression name. The returned IFilterExprDefinition will provide the information that mapped to a corresponding ODA extension Filter if there is one. For OS BIRT, the returned IFilterExprDefinition will not have any map information to the ODA extension filters.

Parameters:
  `birtFilterExprId` - the BIRT predefined fitler expression id.
  `datasetExtId` - ODA dataset extension id. Null if is for OS BIRT.
  `datasourceExtId` - ODA datasource extension id. Null if is for OS BIRT.
Returns:
  Instance of IFilterExprDefinition. IFilterExprDefinition instance based on the passed in filter expression id.

### supportOdaExtensionFilters

public static boolean supportOdaExtensionFilters()
Indicates if support the ODA extension filter expressions.

Returns:
  true if support, false if not.

### supportODAFilterPushDown

public static boolean supportODAFilterPushDown(String dataSourceExtId, String dataSetExtId)
Indicates if the given data source and data set support the ODA extension Filters.

Parameters:
  `dataSourceExtId` - the extension id of the data source
  `dataSetExtId` - the extension id of the data set
Returns:
  true if supported, false, if not supported.